Pengendali pemberitahuan
GET https://digily.link/api/notification-handlers/
curl --request GET \
--url 'https://digily.link/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Butiran | Penerangan |
|---|---|---|
| search | Pilihan Rentetan | Rentetan carian. |
| search_by | Pilihan Rentetan | Medan apa yang anda cari. Nilai yang dibenarkan ialah: name. |
| is_enabled | Pilihan Boolean | |
| type | Pilihan Rentetan | Medan apa yang anda cari. Nilai yang dibenarkan ialah: email , webhook , slack , discord , telegram , microsoft_teams , internal_notification , push_subscriber_id. |
| order_by | Pilihan Rentetan | Medan yang mana untuk mengisih keputusan mengikut. Nilai yang dibenarkan ialah: notification_handler_id , datetime , last_datetime , name. |
| order_type | Pilihan Rentetan | Susunan hasil. Nilai yang dibenarkan ialah: ASC untuk susunan menaik, dan DESC untuk susunan menurun. |
| search | Pilihan Rentetan | Rentetan carian. |
| search_by | Pilihan Rentetan | Medan apa yang anda cari. Nilai yang dibenarkan ialah: name. |
| is_enabled | Pilihan Boolean | |
| type | Pilihan Rentetan | Medan apa yang anda cari. Nilai yang dibenarkan ialah: email , webhook , slack , discord , telegram , microsoft_teams , internal_notification , push_subscriber_id. |
| order_by | Pilihan Rentetan | Medan yang mana untuk mengisih keputusan mengikut. Nilai yang dibenarkan ialah: notification_handler_id , datetime , last_datetime , name. |
| order_type | Pilihan Rentetan | Susunan hasil. Nilai yang dibenarkan ialah: ASC untuk susunan menaik, dan DESC untuk susunan menurun. |
| page | Pilihan Integer | Nombor halaman yang anda mahu hasil daripadanya. Lalai kepada 1. |
| results_per_page | Pilihan Integer | Berapa banyak hasil yang anda mahu setiap halaman. Nilai yang dibenarkan ialah: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Lalai kepada 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-03-20 23:21:14",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://digily.link/api/notification-handlers?page=1",
"last": "https://digily.link/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://digily.link/api/notification-handlers?page=1"
}
}
GET https://digily.link/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://digily.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-03-20 23:21:14",
}
}
POST https://digily.link/api/notification-handlers
| Parameter | Butiran | Penerangan |
|---|---|---|
| name | Diperlukan Rentetan | - |
| type | Diperlukan Rentetan | Nilai yang dibenarkan: email , webhook , slack , discord , telegram , microsoft_teams , internal_notification , push_subscriber_id |
| Pilihan Rentetan | Tersedia apabila: type = email E-mel | |
| webhook | Pilihan Rentetan | Tersedia apabila: type = webhook URL Webhook |
| slack | Pilihan Rentetan | Tersedia apabila: type = slack URL webhook Slack |
| discord | Pilihan Rentetan | Tersedia apabila: type = discord URL webhook Discord |
| telegram | Pilihan Rentetan | Tersedia apabila: type = telegram Token API Telegram |
| telegram_chat_id | Pilihan Rentetan | Tersedia apabila: type = telegram ID Sembang Telegram |
| microsoft_teams | Pilihan Rentetan | Tersedia apabila: type = microsoft_teams URL webhook Microsoft Teams |
| push_subscriber_id | Pilihan Rentetan | Tersedia apabila: type = push_subscriber_id Pelanggan pemberitahuan tolak |
curl --request POST \
--url 'https://digily.link/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://digily.link/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://digily.link/api/notification-handlers/{notification_handler_id}
| Parameter | Butiran | Penerangan |
|---|---|---|
| name | Pilihan Rentetan | - |
| type | Pilihan Rentetan | Nilai yang dibenarkan: email , webhook , slack , discord , telegram , microsoft_teams , internal_notification , push_subscriber_id |
| Pilihan Rentetan | Tersedia apabila: type = email E-mel | |
| webhook | Pilihan Rentetan | Tersedia apabila: type = webhook URL Webhook |
| slack | Pilihan Rentetan | Tersedia apabila: type = slack URL webhook Slack |
| discord | Pilihan Rentetan | Tersedia apabila: type = discord URL webhook Discord |
| telegram | Pilihan Rentetan | Tersedia apabila: type = telegram Token API Telegram |
| telegram_chat_id | Pilihan Rentetan | Tersedia apabila: type = telegram ID Sembang Telegram |
| microsoft_teams | Pilihan Rentetan | Tersedia apabila: type = microsoft_teams URL webhook Microsoft Teams |
| push_subscriber_id | Pilihan Rentetan | Tersedia apabila: type = push_subscriber_id Pelanggan pemberitahuan tolak |
| is_enabled | Pilihan Boolean | - |
curl --request POST \
--url 'https://digily.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://digily.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://digily.link/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://digily.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \